/**************************************************************************

    Ear Trainer - A simple Ear training tool for the Palm Computing Platform
    Copyright (C) 1999 Sam Trenholme

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

// A structure of two notes
typedef struct {
  int note1;
  int note2;
} RachelNotePair;

//some constants

// Lowest note that Rachel will sing
#define RACHEL_LOW_NOTE 57
// Highest note that Rachel will sing
#define RACHEL_HIGH_NOTE 81

// The volume settings
#define RACHEL_VOLUME_LOW sndMaxAmp / 4
#define RACHEL_VOLUME_MID sndMaxAmp / 2
#define RACHEL_VOLUME_HIGH sndMaxAmp

// The duration settings
#define RACHEL_DURATION_SHORT 0
#define RACHEL_DURATION_MED 1
#define RACHEL_DURATION_LONG 2
#define RACHEL_DURATION_RANDOM 3
#define RACHEL_DURATION_MAX RACHEL_DURATION_RANDOM

// The direction settings
#define RACHEL_DIRECTION_UP 0
#define RACHEL_DIRECTION_DOWN 1
#define RACHEL_DIRECTION_RANDOM 2
#define RACHEL_DIRECTION_MAX RACHEL_DIRECTION_RANDOM

// THe "Alert on" settings
#define RACHEL_ALERTON_RIGHT 0
#define RACHEL_ALERTON_WRONG 1
#define RACHEL_ALERTON_BOTH  2
#define RACHEL_ALERTON_NEITHER 3
#define RACHEL_ALERTON_MAX RACHEL_ALERTON_NEITHER

// The message to put on the screen when we miss an interval
#define RACHEL_WRONG_INTERVAL_MESSAGE "Opps! Wrong Interval."
#define RACHEL_WRONG_INTERVAL_MSGL 21
// The message to put on the scrren when we get the interval
#define RACHEL_RIGHT_INTERVAL_MESSAGE "Good! Right Interval."
#define RACHEL_RIGHT_INTERVAL_MSGL 21
// Location and size of place to put messages on display
#define RACHEL_MESSAGE_BOX_X 2
#define RACHEL_MESSAGE_BOX_Y 67
#define RACHEL_MESSAGE_BOX_WIDTH 113
#define RACHEL_MESSAGE_BOX_HEIGHT 15

// Number of integers we save between sessions
#define RACHEL_PREFERENCES_SAVED 9

// The abbreviated version of the messages to display for the "Alert on"
// user preference
#define RACHEL_ALERTON_MSG_RIGHT   "Right Intrval"
#define RACHEL_ALERTON_MSG_WRONG   "Wrong Intrvl"
#define RACHEL_ALERTON_MSG_BOTH    "Both"
#define RACHEL_ALERTON_MSG_NEITHER "Neither"
